Error during webmin-virtual-server (6.09 pro) upgrade

Hello

I got this error while updating the package webmin-virtual-server (6.09 pro). The update is installed correctly but can it have an impact?

virtual-server/postinstall.pl failed : virtual-server::module_install failed : Undefined subroutine &virtual_server::modify_all_resellers called at /usr/share/webmin/virtual-server/postinstall.pl line 87.

Thank you

Status: 
Needs review

Comments

Howdy -- thanks for contacting us!

I'd like to verify the version details and architecture regarding your package there... what output do you receive when running these commands:

dpkg -l webmin-virtualmin-server
uname -a
Ilia's picture
Submitted by Ilia on Mon, 05/04/2020 - 17:06

Status:
Active
»
Fixed

It's been fixed. Sorry about that!

Simply run the following command to install the working Virtualmin Pro package:

apt-get update && apt-get upgrade
Status:
Fixed
»
Needs review

Thank you but i have another problem, the GPG signature of repository is not valid today !

Ilia's picture
Submitted by Ilia on Tue, 05/05/2020 - 02:47

Have you tried running apt-get clean? If you still have a problem, what is the exact error message?

sorry this is in french :

in debian Jessie :

Erreur de GPG : http://software.virtualmin.com virtualmin-jessie Release : Les signatures suivantes ne sont pas valables : BADSIG E8DD3FA0A0BDBCF9 Virtualmin, Inc. security@virtualmin.com

in debian stretch :

W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://software.virtualmin.com/debian virtualmin-universal Release: Les signatures suivantes ne sont pas valables : 31D2B18872EAF68EFB81F81DE8DD3FA0A0BDBCF9 W: Impossible de récupérer http://software.virtualmin.com/debian/dists/virtualmin-universal/Release... Les signatures suivantes ne sont pas valables : 31D2B18872EAF68EFB81F81DE8DD3FA0A0BDBCF9